<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">


<xsl:template name="MODULES-HEAD-EDIT">
<script type='text/javascript' language='javascript' src='{$baseURL}/modules/{$SB_modules}/js/script.js'></script>
</xsl:template>

<xsl:template name="MODULES-FIRST-TAG-EDIT">

</xsl:template>


<xsl:template name="MODULES-BODY-EDIT"> 
<xsl:for-each select="/*/CONTENT-AREA/REPCSS">
<style type="text/css">@import url(<xsl:value-of select="$baseURL"/><xsl:apply-templates select="/*/CONTENT-AREA/BASEURL"/><xsl:value-of select="@NAME"/>);</style>
</xsl:for-each>
<style type="text/css">@import url(<xsl:value-of select="$baseURL"/>/modules/<xsl:value-of select="$SB_modules"/>/style.css);</style>
<table cellpadding="0" cellspacing="10" width="100%">
<tr>
<td>
  <xsl:apply-templates select="//GUI-TABPANEL"/>
</td>
</tr>
</table>
<script language="javascript">
<xsl:choose>
  <xsl:when test="//JAVA">
    <xsl:value-of select='//JAVA'/>                 
  </xsl:when>
  <xsl:otherwise>
  </xsl:otherwise>
</xsl:choose>
</script>
</xsl:template>

<xsl:template match="SCRIPTPREVIEW">
	<link rel="stylesheet" type="text/css">
		<xsl:attribute name="href"><xsl:value-of select="$baseURL"/><xsl:apply-templates select="/*/CONTENT-AREA/BASEURL"/>css/styles.css</xsl:attribute>	
	</link>
  <iframe id="scripts" name="scripts" frameBorder="0" allowtransparency="true" style="background-color: #ffffff;border-style: solid; border-color: #8494A0; border-width: 1px; height: 327px; width: 100%; border-width: 0px; overflow: auto; overflow-x: auto; overflow-y: auto; margin:0px; padding:0px;">
  <xsl:attribute name='src'><xsl:value-of select="$baseURL"/><xsl:apply-templates select="/*/CONTENT-AREA/BASEURL"/><xsl:value-of select="//PGPAGEID"/>?cid_prew=<xsl:value-of select="//SIDPREVIEW"/></xsl:attribute>
  </iframe>
  <script type="text/javascript" language="javascript">
    <xsl:text>ResizeModuleScript('scripts',280);</xsl:text>
  </script>

</xsl:template>


<xsl:template match="SCRIPTEDIT">
  <script type="text/javascript" language="javascript">
    <xsl:text>ResizeModuleScript('script_body',292);</xsl:text>
  </script>
  <script language="javascript">
</script>

</xsl:template>


</xsl:stylesheet>